"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/**
 * Applies the OR operation on the given bits. Returns one bit.
 * Throws if less than 2 bits are given.
 *
 * @example
 * reduceOr([1, 0, 0, 0, 1, 1, 0, 1]) => 1
 *
 * @param {Array} bits input data
 * @return {Integer} OR bits
 */
var _default = function _default(bits) {
  if (bits.length < 2) throw new RangeError('Not enough bits.');
  var result = bits[0];

  for (var i = 1; i < bits.length; i++) {
    result |= bits[i];
  }

  return result;
};

exports.default = _default;