"use strict";

var _create = _interopRequireDefault(require("./create"));

var _nand = _interopRequireDefault(require("./nand"));

var _read = _interopRequireDefault(require("./read"));

var _toBits = _interopRequireDefault(require("../string/to-bits"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('NAND', function () {
  var buffer1, buffer2, buffer3;
  beforeEach(function () {
    buffer1 = (0, _create.default)((0, _toBits.default)('0110 1100 0110 1000 1110 0001 0010 1100'));
    buffer2 = (0, _create.default)((0, _toBits.default)('1011 0101 1001 1110 0001 1011 0100 0011'));
    buffer3 = (0, _create.default)((0, _toBits.default)('1010 1010'));
  });
  test('equal size', function () {
    expect((0, _read.default)((0, _nand.default)(buffer1, buffer2)).join('')).toBe('11011011111101111111111011111111');
  });
  test('looping', function () {
    expect((0, _read.default)((0, _nand.default)(buffer3, buffer1, true)).join('')).toBe('11010111110101110101111111010111');
  });
});