"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/**
 * Applies a bitwise NOT to the contents of a buffer. Returns a new buffer.
 *
 * @example
 * bitwise.buffer.not(buffer) => Buffer(NOT buffer)
 *
 * @param {Buffer} buffer input data
 * @return {Buffer} Buffer(NOT buffer)
 */
var _default = function _default(buffer) {
  var result = Buffer.alloc(buffer.length);

  for (var i = 0; i < buffer.length; i++) {
    result[i] = ~buffer[i];
  }

  return result;
};

exports.default = _default;